Go to the latest version of this document.

# ``twisted`.`web`.`_http2``

module documentation
(source)

HTTP2 Implementation

This is the basic server-side protocol implementation used by the Twisted Web server for HTTP2. This functionality is intended to be combined with the HTTP/1.1 and HTTP/1.0 functionality in twisted.web.http to provide complete protocol support for HTTP-type protocols.

This API is currently considered private because it's in early draft form. When it has stabilised, it'll be made public.

Class | `H2Connection` | A class representing a single HTTP/2 connection.
Class | `H2Stream` | A class representing a single HTTP/2 stream.
Function | `_addHeaderToRequest` | Add a header tuple to a request header object.
Constant | `_END_STREAM_SENTINEL` | Undocumented

def _addHeaderToRequest(request, header): (source)

Add a header tuple to a request header object.

Parameters
request:`twisted.web.http.Request` | The request to add the header tuple to.
header:A `tuple` with two elements, the header name and header value, both as `bytes`. | The header tuple to add to the request.

Returns
`bool` | If the header being added was the `Content-Length` header.

_END_STREAM_SENTINEL = (source)

Undocumented

Value

    object()